Auchan Search
Extract Auchan product listings from keyword searches for insightful market analysis and competitive edge.
Credit cost: 2 credits per call
Authorization
ApiKeyAuth x-api-key<token>
Your API key. Include it in the x-api-key header for every request.
In: header
Query Parameters
query*string
Search keyword or Auchan search URL to retrieve product listings.
Accepted formats:
pomme: Plain keyword searchhttps://www.auchan.fr/recherche?text=pomme: Full Auchan search URL
Example:
pommeNotes:
- Both keyword and full URL formats are supported. Use the URL format to reproduce a specific Auchan search with applied filters.
- Results include product titles, ratings, review counts, attributes, and images.
page?number
Page number for paginated search results.
Note: Use the pagination.has_next_page field in the response to determine whether additional pages are available.
Default
"1"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.piloterr.com/v2/auchan/search?query=string"{
"results": [
{
"id": "ebe83997-d91f-4a7e-8721-fed0fc3acf1e",
"url": "https://www.auchan.fr/pommes-bicolores/pr-C1350678",
"brand": null,
"image": null,
"title": "Pommes Bicolores",
"rating": 3,
"attributes": [
"2kg"
],
"reviews_count": 9
},
{
"id": "e7e43bcc-6fdc-4e65-8a08-ed7fcf8fe95f",
"url": "https://www.auchan.fr/pommes-pink-lady/pr-C1350629",
"brand": null,
"image": null,
"title": "Pommes Pink Lady",
"rating": 4.5,
"attributes": [
"6 pièces"
],
"reviews_count": 8
},
{
"id": "bf162b02-38fd-4380-960c-ca44879855f6",
"url": "https://www.auchan.fr/auchan-bio-pommes-golden/pr-C1350162",
"brand": "AUCHAN BIO",
"image": "https://cdn.auchan.fr/media/PICTOSTEP201048057_0x0/B2CD/",
"title": "Pommes Golden",
"rating": 3,
"attributes": [
"1kg"
],
"reviews_count": 6
},
{
"id": "b410b2be-00b6-422a-b70c-356a547280d4",
"url": "https://www.auchan.fr/cultivons-le-bon-pommes-golden/pr-C1350030",
"brand": null,
"image": "https://cdn.auchan.fr/media/PICTOSTEP122680319_0x0/B2CD/",
"title": "CULTIVONS LE BON Pommes Golden",
"rating": 2.5,
"attributes": [
"6 pièces"
],
"reviews_count": 6
},
{
"id": "bdb082a9-79ad-4371-8142-db762f42d676",
"url": "https://www.auchan.fr/pommes-jazz/pr-C1350141",
"brand": null,
"image": null,
"title": "Pommes Jazz",
"rating": 4,
"attributes": [
"6 pièces"
],
"reviews_count": 10
}
],
"pagination": {
"next": 2,
"current": 1,
"other_pages": [
2,
3,
4,
5,
6,
25
],
"has_next_page": true
}
}{
"error": "Bad Request"
}{
"error": "Invalid API Key"
}{
"error": "Payment required"
}{
"error": "Rate limit exceeded for the API key: quota monthly"
}{
"error": "Internal Error"
}